blaze-svg-0.3.6.1: SVG combinator library

Safe Haskell | None
Language | Haskell98

Text.Blaze.Svg11.Attributes

Description

This module exports combinators that provide you with the ability to set attributes on SVG elements.

Synopsis

- accentHeight :: AttributeValue -> Attribute
- accumulate :: AttributeValue -> Attribute
- additive :: AttributeValue -> Attribute
- alignmentBaseline :: AttributeValue -> Attribute
- alphabetic :: AttributeValue -> Attribute
- amplitude :: AttributeValue -> Attribute
- arabicForm :: AttributeValue -> Attribute
- ascent :: AttributeValue -> Attribute
- attributename :: AttributeValue -> Attribute
- attributetype :: AttributeValue -> Attribute
- azimuth :: AttributeValue -> Attribute
- basefrequency :: AttributeValue -> Attribute
- baseprofile :: AttributeValue -> Attribute
- baselineShift :: AttributeValue -> Attribute
- bbox :: AttributeValue -> Attribute
- begin :: AttributeValue -> Attribute
- bias :: AttributeValue -> Attribute
- by :: AttributeValue -> Attribute
- calcmode :: AttributeValue -> Attribute
- capHeight :: AttributeValue -> Attribute
- class_ :: AttributeValue -> Attribute
- clip :: AttributeValue -> Attribute
- clipPath :: AttributeValue -> Attribute
- clipRule :: AttributeValue -> Attribute
- clippathunits :: AttributeValue -> Attribute
- color :: AttributeValue -> Attribute
- colorInterpolation :: AttributeValue -> Attribute
- colorInterpolationFilters :: AttributeValue -> Attribute
- colorProfile :: AttributeValue -> Attribute
- colorRendering :: AttributeValue -> Attribute
- contentscripttype :: AttributeValue -> Attribute
- contentstyletype :: AttributeValue -> Attribute
- cursor :: AttributeValue -> Attribute
- cx :: AttributeValue -> Attribute
- cy :: AttributeValue -> Attribute
- d :: AttributeValue -> Attribute
- descent :: AttributeValue -> Attribute
- diffuseconstant :: AttributeValue -> Attribute
- direction :: AttributeValue -> Attribute
- display :: AttributeValue -> Attribute
- divisor :: AttributeValue -> Attribute
- dominantBaseline :: AttributeValue -> Attribute
- dur :: AttributeValue -> Attribute
- dx :: AttributeValue -> Attribute
- dy :: AttributeValue -> Attribute
- edgemode :: AttributeValue -> Attribute
- elevation :: AttributeValue -> Attribute
- enableBackground :: AttributeValue -> Attribute
- end :: AttributeValue -> Attribute
- exponent_ :: AttributeValue -> Attribute
- externalresourcesrequired :: AttributeValue -> Attribute
- fill :: AttributeValue -> Attribute
- fillOpacity :: AttributeValue -> Attribute
- fillRule :: AttributeValue -> Attribute
- filter_ :: AttributeValue -> Attribute
- filterres :: AttributeValue -> Attribute
- filterunits :: AttributeValue -> Attribute
- floodColor :: AttributeValue -> Attribute
- floodOpacity :: AttributeValue -> Attribute
- fontFamily :: AttributeValue -> Attribute
- fontSize :: AttributeValue -> Attribute
- fontSizeAdjust :: AttributeValue -> Attribute
- fontStretch :: AttributeValue -> Attribute
- fontStyle :: AttributeValue -> Attribute
- fontVariant :: AttributeValue -> Attribute
- fontWeight :: AttributeValue -> Attribute
- format :: AttributeValue -> Attribute
- from :: AttributeValue -> Attribute
- fx :: AttributeValue -> Attribute
- fy :: AttributeValue -> Attribute
- g1 :: AttributeValue -> Attribute
- g2 :: AttributeValue -> Attribute
- glyphName :: AttributeValue -> Attribute
- glyphOrientationHorizontal :: AttributeValue -> Attribute
- glyphOrientationVertical :: AttributeValue -> Attribute
- glyphref :: AttributeValue -> Attribute
- gradienttransform :: AttributeValue -> Attribute
- gradientunits :: AttributeValue -> Attribute
- hanging :: AttributeValue -> Attribute
- height :: AttributeValue -> Attribute
- horizAdvX :: AttributeValue -> Attribute
- horizOriginX :: AttributeValue -> Attribute
- horizOriginY :: AttributeValue -> Attribute
- id_ :: AttributeValue -> Attribute
- ideographic :: AttributeValue -> Attribute
- imageRendering :: AttributeValue -> Attribute
- in_ :: AttributeValue -> Attribute
- in2 :: AttributeValue -> Attribute
- intercept :: AttributeValue -> Attribute
- k :: AttributeValue -> Attribute
- k1 :: AttributeValue -> Attribute
- k2 :: AttributeValue -> Attribute
- k3 :: AttributeValue -> Attribute
- k4 :: AttributeValue -> Attribute
- kernelmatrix :: AttributeValue -> Attribute
- kernelunitlength :: AttributeValue -> Attribute
- kerning :: AttributeValue -> Attribute
- keypoints :: AttributeValue -> Attribute
- keysplines :: AttributeValue -> Attribute
- keytimes :: AttributeValue -> Attribute
- lang :: AttributeValue -> Attribute
- lengthadjust :: AttributeValue -> Attribute
- letterSpacing :: AttributeValue -> Attribute
- lightingColor :: AttributeValue -> Attribute
- limitingconeangle :: AttributeValue -> Attribute
- local :: AttributeValue -> Attribute
- markerEnd :: AttributeValue -> Attribute
- markerMid :: AttributeValue -> Attribute
- markerStart :: AttributeValue -> Attribute
- markerheight :: AttributeValue -> Attribute
- markerunits :: AttributeValue -> Attribute
- markerwidth :: AttributeValue -> Attribute
- mask :: AttributeValue -> Attribute
- maskcontentunits :: AttributeValue -> Attribute
- maskunits :: AttributeValue -> Attribute
- mathematical :: AttributeValue -> Attribute
- max_ :: AttributeValue -> Attribute
- media :: AttributeValue -> Attribute
- method :: AttributeValue -> Attribute
- min_ :: AttributeValue -> Attribute
- mode :: AttributeValue -> Attribute
- name :: AttributeValue -> Attribute
- numoctaves :: AttributeValue -> Attribute
- offset :: AttributeValue -> Attribute
- onabort :: AttributeValue -> Attribute
- onactivate :: AttributeValue -> Attribute
- onbegin :: AttributeValue -> Attribute
- onclick :: AttributeValue -> Attribute
- onend :: AttributeValue -> Attribute
- onerror :: AttributeValue -> Attribute
- onfocusin :: AttributeValue -> Attribute
- onfocusout :: AttributeValue -> Attribute
- onload :: AttributeValue -> Attribute
- onmousedown :: AttributeValue -> Attribute
- onmousemove :: AttributeValue -> Attribute
- onmouseout :: AttributeValue -> Attribute
- onmouseover :: AttributeValue -> Attribute
- onmouseup :: AttributeValue -> Attribute
- onrepeat :: AttributeValue -> Attribute
- onresize :: AttributeValue -> Attribute
- onscroll :: AttributeValue -> Attribute
- onunload :: AttributeValue -> Attribute
- onzoom :: AttributeValue -> Attribute
- opacity :: AttributeValue -> Attribute
- operator :: AttributeValue -> Attribute
- order :: AttributeValue -> Attribute
- orient :: AttributeValue -> Attribute
- orientation :: AttributeValue -> Attribute
- origin :: AttributeValue -> Attribute
- overflow :: AttributeValue -> Attribute
- overlinePosition :: AttributeValue -> Attribute
- overlineThickness :: AttributeValue -> Attribute
- panose1 :: AttributeValue -> Attribute
- path :: AttributeValue -> Attribute
- pathlength :: AttributeValue -> Attribute
- patterncontentunits :: AttributeValue -> Attribute
- patterntransform :: AttributeValue -> Attribute
- patternunits :: AttributeValue -> Attribute
- pointerEvents :: AttributeValue -> Attribute
- points :: AttributeValue -> Attribute
- pointsatx :: AttributeValue -> Attribute
- pointsaty :: AttributeValue -> Attribute
- pointsatz :: AttributeValue -> Attribute
- preservealpha :: AttributeValue -> Attribute
- preserveaspectratio :: AttributeValue -> Attribute
- primitiveunits :: AttributeValue -> Attribute
- r :: AttributeValue -> Attribute
- radius :: AttributeValue -> Attribute
- refx :: AttributeValue -> Attribute
- refy :: AttributeValue -> Attribute
- renderingIntent :: AttributeValue -> Attribute
- repeatcount :: AttributeValue -> Attribute
- repeatdur :: AttributeValue -> Attribute
- requiredextensions :: AttributeValue -> Attribute
- requiredfeatures :: AttributeValue -> Attribute
- restart :: AttributeValue -> Attribute
- result :: AttributeValue -> Attribute
- rotate :: AttributeValue -> Attribute
- rx :: AttributeValue -> Attribute
- ry :: AttributeValue -> Attribute
- scale :: AttributeValue -> Attribute
- seed :: AttributeValue -> Attribute
- shapeRendering :: AttributeValue -> Attribute
- slope :: AttributeValue -> Attribute
- spacing :: AttributeValue -> Attribute
- specularconstant :: AttributeValue -> Attribute
- specularexponent :: AttributeValue -> Attribute
- spreadmethod :: AttributeValue -> Attribute
- startoffset :: AttributeValue -> Attribute
- stddeviation :: AttributeValue -> Attribute
- stemh :: AttributeValue -> Attribute
- stemv :: AttributeValue -> Attribute
- stitchtiles :: AttributeValue -> Attribute
- stopColor :: AttributeValue -> Attribute
- stopOpacity :: AttributeValue -> Attribute
- strikethroughPosition :: AttributeValue -> Attribute
- strikethroughThickness :: AttributeValue -> Attribute
- string :: AttributeValue -> Attribute
- stroke :: AttributeValue -> Attribute
- strokeDasharray :: AttributeValue -> Attribute
- strokeDashoffset :: AttributeValue -> Attribute
- strokeLinecap :: AttributeValue -> Attribute
- strokeLinejoin :: AttributeValue -> Attribute
- strokeMiterlimit :: AttributeValue -> Attribute
- strokeOpacity :: AttributeValue -> Attribute
- strokeWidth :: AttributeValue -> Attribute
- style :: AttributeValue -> Attribute
- surfacescale :: AttributeValue -> Attribute
- systemlanguage :: AttributeValue -> Attribute
- tablevalues :: AttributeValue -> Attribute
- target :: AttributeValue -> Attribute
- targetx :: AttributeValue -> Attribute
- targety :: AttributeValue -> Attribute
- textAnchor :: AttributeValue -> Attribute
- textDecoration :: AttributeValue -> Attribute
- textRendering :: AttributeValue -> Attribute
- textlength :: AttributeValue -> Attribute
- title :: AttributeValue -> Attribute
- to :: AttributeValue -> Attribute
- transform :: AttributeValue -> Attribute
- type_ :: AttributeValue -> Attribute
- u1 :: AttributeValue -> Attribute
- u2 :: AttributeValue -> Attribute
- underlinePosition :: AttributeValue -> Attribute
- underlineThickness :: AttributeValue -> Attribute
- unicode :: AttributeValue -> Attribute
- unicodeBidi :: AttributeValue -> Attribute
- unicodeRange :: AttributeValue -> Attribute
- unitsPerEm :: AttributeValue -> Attribute
- vAlphabetic :: AttributeValue -> Attribute
- vHanging :: AttributeValue -> Attribute
- vIdeographic :: AttributeValue -> Attribute
- vMathematical :: AttributeValue -> Attribute
- values :: AttributeValue -> Attribute
- version :: AttributeValue -> Attribute
- vertAdvY :: AttributeValue -> Attribute
- vertOriginX :: AttributeValue -> Attribute
- vertOriginY :: AttributeValue -> Attribute
- viewbox :: AttributeValue -> Attribute
- viewtarget :: AttributeValue -> Attribute
- visibility :: AttributeValue -> Attribute
- width :: AttributeValue -> Attribute
- widths :: AttributeValue -> Attribute
- wordSpacing :: AttributeValue -> Attribute
- writingMode :: AttributeValue -> Attribute
- x :: AttributeValue -> Attribute
- xHeight :: AttributeValue -> Attribute
- x1 :: AttributeValue -> Attribute
- x2 :: AttributeValue -> Attribute
- xchannelselector :: AttributeValue -> Attribute
- xlinkActuate :: AttributeValue -> Attribute
- xlinkArcrole :: AttributeValue -> Attribute
- xlinkHref :: AttributeValue -> Attribute
- xlinkRole :: AttributeValue -> Attribute
- xlinkShow :: AttributeValue -> Attribute
- xlinkTitle :: AttributeValue -> Attribute
- xlinkType :: AttributeValue -> Attribute
- xmlBase :: AttributeValue -> Attribute
- xmlLang :: AttributeValue -> Attribute
- xmlSpace :: AttributeValue -> Attribute
- y :: AttributeValue -> Attribute
- y1 :: AttributeValue -> Attribute
- y2 :: AttributeValue -> Attribute
- ychannelselector :: AttributeValue -> Attribute
- z :: AttributeValue -> Attribute
- zoomandpan :: AttributeValue -> Attribute

# Documentation

accentHeight Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `accent-height` attribute.

accumulate Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `accumulate` attribute.

additive Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `additive` attribute.

alignmentBaseline Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `alignment-baseline` attribute.

alphabetic Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `alphabetic` attribute.

amplitude Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `amplitude` attribute.

arabicForm Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `arabic-form` attribute.

ascent Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `ascent` attribute.

attributename Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `attributeName` attribute.

attributetype Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `attributeType` attribute.

azimuth Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `azimuth` attribute.

basefrequency Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `baseFrequency` attribute.

baseprofile Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `baseProfile` attribute.

baselineShift Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `baseline-shift` attribute.

bbox Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `bbox` attribute.

begin Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `begin` attribute.

bias Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `bias` attribute.

by Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `by` attribute.

calcmode Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `calcMode` attribute.

capHeight Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `cap-height` attribute.

class_ Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `class` attribute.

clip Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `clip` attribute.

clipPath Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `clip-path` attribute.

clipRule Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `clip-rule` attribute.

clippathunits Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `clipPathUnits` attribute.

color Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `color` attribute.

colorInterpolation Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `color-interpolation` attribute.

colorInterpolationFilters Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `color-interpolation-filters` attribute.

colorProfile Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `color-profile` attribute.

colorRendering Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `color-rendering` attribute.

contentscripttype Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `contentScriptType` attribute.

contentstyletype Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `contentStyleType` attribute.

cursor Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `cursor` attribute.

cx Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `cx` attribute.

cy Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `cy` attribute.

d Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `d` attribute.

descent Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `descent` attribute.

diffuseconstant Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `diffuseConstant` attribute.

direction Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `direction` attribute.

display Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `display` attribute.

divisor Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `divisor` attribute.

dominantBaseline Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `dominant-baseline` attribute.

dur Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `dur` attribute.

dx Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `dx` attribute.

dy Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `dy` attribute.

edgemode Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `edgeMode` attribute.

elevation Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `elevation` attribute.

enableBackground Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `enable-background` attribute.

end Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `end` attribute.

exponent_ Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `exponent` attribute.

externalresourcesrequired Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `externalResourcesRequired` attribute.

fill Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `fill` attribute.

fillOpacity Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `fill-opacity` attribute.

fillRule Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `fill-rule` attribute.

filter_ Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `filter` attribute.

filterres Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `filterRes` attribute.

filterunits Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `filterUnits` attribute.

floodColor Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `flood-color` attribute.

floodOpacity Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `flood-opacity` attribute.

fontFamily Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `font-family` attribute.

fontSize Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `font-size` attribute.

fontSizeAdjust Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `font-size-adjust` attribute.

fontStretch Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `font-stretch` attribute.

fontStyle Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `font-style` attribute.

fontVariant Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `font-variant` attribute.

fontWeight Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `font-weight` attribute.

format Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `format` attribute.

from Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `from` attribute.

fx Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `fx` attribute.

fy Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `fy` attribute.

g1 Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `g1` attribute.

g2 Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `g2` attribute.

glyphName Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `glyph-name` attribute.

glyphOrientationHorizontal Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `glyph-orientation-horizontal` attribute.

glyphOrientationVertical Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `glyph-orientation-vertical` attribute.

glyphref Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `glyphRef` attribute.

gradienttransform Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `gradientTransform` attribute.

gradientunits Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `gradientUnits` attribute.

hanging Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `hanging` attribute.

height Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `height` attribute.

horizAdvX Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `horiz-adv-x` attribute.

horizOriginX Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `horiz-origin-x` attribute.

horizOriginY Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `horiz-origin-y` attribute.

id_ Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `id` attribute.

ideographic Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `ideographic` attribute.

imageRendering Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `image-rendering` attribute.

in_ Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `in` attribute.

in2 Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `in2` attribute.

intercept Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `intercept` attribute.

k Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `k` attribute.

k1 Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `k1` attribute.

k2 Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `k2` attribute.

k3 Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `k3` attribute.

k4 Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `k4` attribute.

kernelmatrix Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `kernelMatrix` attribute.

kernelunitlength Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `kernelUnitLength` attribute.

kerning Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `kerning` attribute.

keypoints Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `keyPoints` attribute.

keysplines Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `keySplines` attribute.

keytimes Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `keyTimes` attribute.

lang Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `lang` attribute.

lengthadjust Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `lengthAdjust` attribute.

letterSpacing Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `letter-spacing` attribute.

lightingColor Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `lighting-color` attribute.

limitingconeangle Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `limitingConeAngle` attribute.

local Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `local` attribute.

markerEnd Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `marker-end` attribute.

markerMid Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `marker-mid` attribute.

markerStart Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `marker-start` attribute.

markerheight Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `markerHeight` attribute.

markerunits Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `markerUnits` attribute.

markerwidth Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `markerWidth` attribute.

mask Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `mask` attribute.

maskcontentunits Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `maskContentUnits` attribute.

maskunits Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `maskUnits` attribute.

mathematical Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `mathematical` attribute.

max_ Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `max` attribute.

media Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `media` attribute.

method Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `method` attribute.

min_ Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `min` attribute.

mode Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `mode` attribute.

name Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `name` attribute.

numoctaves Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `numOctaves` attribute.

offset Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `offset` attribute.

onabort Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onabort` attribute.

onactivate Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onactivate` attribute.

onbegin Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onbegin` attribute.

onclick Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onclick` attribute.

onend Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onend` attribute.

onerror Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onerror` attribute.

onfocusin Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onfocusin` attribute.

onfocusout Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onfocusout` attribute.

onload Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onload` attribute.

onmousedown Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onmousedown` attribute.

onmousemove Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onmousemove` attribute.

onmouseout Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onmouseout` attribute.

onmouseover Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onmouseover` attribute.

onmouseup Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onmouseup` attribute.

onrepeat Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onrepeat` attribute.

onresize Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onresize` attribute.

onscroll Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onscroll` attribute.

onunload Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onunload` attribute.

onzoom Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onzoom` attribute.

opacity Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `opacity` attribute.

operator Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `operator` attribute.

order Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `order` attribute.

orient Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `orient` attribute.

orientation Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `orientation` attribute.

origin Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `origin` attribute.

overflow Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `overflow` attribute.

overlinePosition Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `overline-position` attribute.

overlineThickness Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `overline-thickness` attribute.

panose1 Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `panose-1` attribute.

path Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `path` attribute.

pathlength Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `pathLength` attribute.

patterncontentunits Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `patternContentUnits` attribute.

patterntransform Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `patternTransform` attribute.

patternunits Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `patternUnits` attribute.

pointerEvents Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `pointer-events` attribute.

points Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `points` attribute.

pointsatx Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `pointsAtX` attribute.

pointsaty Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `pointsAtY` attribute.

pointsatz Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `pointsAtZ` attribute.

preservealpha Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `preserveAlpha` attribute.

preserveaspectratio Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `preserveAspectRatio` attribute.

primitiveunits Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `primitiveUnits` attribute.

r Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `r` attribute.

radius Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `radius` attribute.

refx Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `refX` attribute.

refy Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `refY` attribute.

renderingIntent Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `rendering-intent` attribute.

repeatcount Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `repeatCount` attribute.

repeatdur Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `repeatDur` attribute.

requiredextensions Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `requiredExtensions` attribute.

requiredfeatures Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `requiredFeatures` attribute.

restart Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `restart` attribute.

result Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `result` attribute.

rotate Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `rotate` attribute.

rx Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `rx` attribute.

ry Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `ry` attribute.

scale Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `scale` attribute.

seed Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `seed` attribute.

shapeRendering Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `shape-rendering` attribute.

slope Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `slope` attribute.

spacing Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `spacing` attribute.

specularconstant Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `specularConstant` attribute.

specularexponent Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `specularExponent` attribute.

spreadmethod Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `spreadMethod` attribute.

startoffset Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `startOffset` attribute.

stddeviation Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `stdDeviation` attribute.

stemh Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `stemh` attribute.

stemv Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `stemv` attribute.

stitchtiles Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `stitchTiles` attribute.

stopColor Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `stop-color` attribute.

stopOpacity Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `stop-opacity` attribute.

strikethroughPosition Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `strikethrough-position` attribute.

strikethroughThickness Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `strikethrough-thickness` attribute.

string Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `string` attribute.

stroke Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `stroke` attribute.

strokeDasharray Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `stroke-dasharray` attribute.

strokeDashoffset Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `stroke-dashoffset` attribute.

strokeLinecap Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `stroke-linecap` attribute.

strokeLinejoin Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `stroke-linejoin` attribute.

strokeMiterlimit Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `stroke-miterlimit` attribute.

strokeOpacity Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `stroke-opacity` attribute.

strokeWidth Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `stroke-width` attribute.

style Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `style` attribute.

surfacescale Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `surfaceScale` attribute.

systemlanguage Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `systemLanguage` attribute.

tablevalues Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `tableValues` attribute.

target Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `target` attribute.

targetx Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `targetX` attribute.

targety Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `targetY` attribute.

textAnchor Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `text-anchor` attribute.

textDecoration Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `text-decoration` attribute.

textRendering Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `text-rendering` attribute.

textlength Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `textLength` attribute.

title Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `title` attribute.

to Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `to` attribute.

transform Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `transform` attribute.

type_ Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `type` attribute.

u1 Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `u1` attribute.

u2 Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `u2` attribute.

underlinePosition Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `underline-position` attribute.

underlineThickness Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `underline-thickness` attribute.

unicode Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `unicode` attribute.

unicodeBidi Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `unicode-bidi` attribute.

unicodeRange Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `unicode-range` attribute.

unitsPerEm Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `units-per-em` attribute.

vAlphabetic Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `v-alphabetic` attribute.

vHanging Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `v-hanging` attribute.

vIdeographic Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `v-ideographic` attribute.

vMathematical Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `v-mathematical` attribute.

values Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `values` attribute.

version Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `version` attribute.

vertAdvY Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `vert-adv-y` attribute.

vertOriginX Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `vert-origin-x` attribute.

vertOriginY Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `vert-origin-y` attribute.

viewbox Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `viewBox` attribute.

viewtarget Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `viewTarget` attribute.

visibility Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `visibility` attribute.

width Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `width` attribute.

widths Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `widths` attribute.

wordSpacing Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `word-spacing` attribute.

writingMode Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `writing-mode` attribute.

x Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `x` attribute.

xHeight Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `x-height` attribute.

x1 Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `x1` attribute.

x2 Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `x2` attribute.

xchannelselector Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `xChannelSelector` attribute.

xlinkActuate Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `xlink:actuate` attribute.

xlinkArcrole Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `xlink:arcrole` attribute.

xlinkHref Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `xlink:href` attribute.

xlinkRole Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `xlink:role` attribute.

xlinkShow Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `xlink:show` attribute.

xlinkTitle Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `xlink:title` attribute.

xlinkType Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `xlink:type` attribute.

xmlBase Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `xml:base` attribute.

xmlLang Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `xml:lang` attribute.

xmlSpace Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `xml:space` attribute.

y Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `y` attribute.

y1 Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `y1` attribute.

y2 Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `y2` attribute.

ychannelselector Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `yChannelSelector` attribute.

z Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `z` attribute.

zoomandpan Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `zoomAndPan` attribute.